
Redmine - Patch #37236

Update Rouge to 4.2

2022-06-10 11:05 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 5.1.0   

Description

https://github.com/rouge-ruby/rouge/releases

Associated revisions

Revision 21627 - 2022-06-10 11:08 - Go MAEDA

Update Rouge to 3.29 (#37236).

Revision 21629 - 2022-06-11 10:54 - Go MAEDA

Update the list of supported languages for Rouge 3.29 (#37236).

Revision 21752 - 2022-08-01 15:09 - Go MAEDA

Update Rouge to 3.30 (#37236).

Revision 22058 - 2023-01-17 03:07 - Go MAEDA

Update Rouge to 4.0 (#37236).

Revision 22111 - 2023-02-15 01:56 - Go MAEDA

Update Rouge to 4.1 (#37236).

Revision 22384 - 2023-10-26 13:02 - Go MAEDA

Update Rouge to 4.2 (#37236).

Revision 22385 - 2023-10-26 13:10 - Go MAEDA

Merged r22384 from trunk to 5.1-stable (#37236).

History

#1 - 2022-06-10 11:06 - Go MAEDA

- Subject changed from Update Rouge to 3.28 to Update Rouge to 3.29

#2 - 2022-06-10 11:08 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Updated Rouge to 3.29 in r21627.

#3 - 2022-06-10 12:39 - Holger Just

- Status changed from Closed to Reopened

As the list of available languages is currently "manually" documented in public/help/code_highlighting_languages.html, the new lexers would have to

be added there too, similar to the previous update in #36325.

As proposed in #36594, we likely want to either generate this automatically or introduce some controller action for that.

#4 - 2022-06-11 10:54 - Go MAEDA

- Status changed from Reopened to Closed
- Assignee set to Go MAEDA

Holger Just wrote:

As the list of available languages is currently "manually" documented in public/help/code_highlighting_languages.html, the new lexers would

have to be added there too, similar to the previous update in #36325.

 Updated the help in r21629. Thank you for pointing it out.

#5 - 2022-08-01 15:11 - Go MAEDA

- Subject changed from Update Rouge to 3.29 to Update Rouge to 3.30

Updated Rouge to 3.30 in r21752.

#6 - 2022-08-01 15:11 - Go MAEDA

- Tracker changed from Defect to Patch

#7 - 2023-01-17 03:08 - Go MAEDA

- Subject changed from Update Rouge to 3.30 to Update Rouge to 4.0

Updated Rouge to 4.0 in r22058.

#8 - 2023-02-15 01:58 - Go MAEDA

- Subject changed from Update Rouge to 4.0 to Update Rouge to 4.1

Updated Rouge to 4.1 in r22111.

Note: I have updated the help using the output of the following command:

bin/rails r 'Rouge::Lexer.all.sort_by(&:tag).each {|lexer| desc = String.new("#{lexer.desc}"); desc << " [alia

ses: #{lexer.aliases.uniq.join(%q|,|)}]" if lexer.aliases.any? ; puts "<tr>\n  <td>#{lexer.tag}</td>\n  <td>#{

CGI.escapeHTML(desc)}</td>\n</tr>"}'

#9 - 2023-10-26 13:03 - Go MAEDA

- Subject changed from Update Rouge to 4.1 to Update Rouge to 4.2

Updated Rouge to 4.2 in r22384.
